/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreVariableattrtype;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreVariableattrtypeRecord extends UpdatableRecordImpl<TCoreVariableattrtypeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_variableattrtype.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variableattrtype.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_variableattrtype.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variableattrtype.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_variableattrtype.name</code>. name of
     * the type
     */
    public void setName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variableattrtype.name</code>. name of
     * the type
     */
    public String getName() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_variableattrtype.pattern</code>.
     * pattern of the type
     */
    public void setPattern(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variableattrtype.pattern</code>.
     * pattern of the type
     */
    public String getPattern() {
        return (String) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreVariableattrtypeRecord
     */
    public TCoreVariableattrtypeRecord() {
        super(TCoreVariableattrtype.T_CORE_VARIABLEATTRTYPE);
    }

    /**
     * Create a detached, initialised TCoreVariableattrtypeRecord
     */
    public TCoreVariableattrtypeRecord(LocalDateTime lastchange, Integer pk, String name, String pattern) {
        super(TCoreVariableattrtype.T_CORE_VARIABLEATTRTYPE);

        setLastchange(lastchange);
        setPk(pk);
        setName(name);
        setPattern(pattern);
        resetChangedOnNotNull();
    }
}
